PHP Manual
Prev |  | Next

# OrbitEnum

(no version information, might be only in CVS)

OrbitEnum -- Use CORBA enums

## Description

new OrbitEnum ( string id )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

This class represents the enumeration identified with the id parameter.

## Parameters

id

  Can be either the name of the enumeration (e.g "MyEnum"), or the full repository id (e.g. "IDL:MyEnum:1.0").

## Examples

Example 1. Sample IDL file
    enum MyEnum {
        a,b,c,d,e
    };

Example 2. PHP code for accessing MyEnum
`<?php $enum = new OrbitEnum ("MyEnum"); echo $enum->a; /* write 0 */ echo $enum->c; /* write 2 */ echo $enum->e; /* write 4 */ ?>`

Prev | Home | Next
Satellite CORBA client extension [deprecated] | Up | OrbitObject